function p.get_is_solid() return true end
function p.get_tex() return "block_chem" end

function p.main()
    set_default_block("r_chem")
    
    std.create_tube(3, "z", "e")
    std.create_half_tube(3, "y_pos", "e")
    
    msg_str = "Welcome to (Basement) Floor 5! "
        .. "As an example, we will explain how to add "
        .. "\"diamonds\" to a game. "
        .. "We will also cover some fundamentals, "
        .. "such as global variables and key bindings. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
